87ad4502781b1c066b10a5b9a545088c8700679c
[platform/upstream/pygobject2.git] / gi / Makefile.in
1 # Makefile.in generated by automake 1.11.3 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
5 # 2003, 2004, 2005, 2006, 2007, 2008, 2009, 2010, 2011 Free Software
6 # Foundation, Inc.
7 # This Makefile.in is free software; the Free Software Foundation
8 # gives unlimited permission to copy and/or distribute it,
9 # with or without modifications, as long as this notice is preserved.
10
11 # This program is distributed in the hope that it will be useful,
12 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
13 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
14 # PARTICULAR PURPOSE.
15
16 @SET_MAKE@
17
18 VPATH = @srcdir@
19 pkgdatadir = $(datadir)/@PACKAGE@
20 pkgincludedir = $(includedir)/@PACKAGE@
21 pkglibdir = $(libdir)/@PACKAGE@
22 pkglibexecdir = $(libexecdir)/@PACKAGE@
23 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
24 install_sh_DATA = $(install_sh) -c -m 644
25 install_sh_PROGRAM = $(install_sh) -c
26 install_sh_SCRIPT = $(install_sh) -c
27 INSTALL_HEADER = $(INSTALL_DATA)
28 transform = $(program_transform_name)
29 NORMAL_INSTALL = :
30 PRE_INSTALL = :
31 POST_INSTALL = :
32 NORMAL_UNINSTALL = :
33 PRE_UNINSTALL = :
34 POST_UNINSTALL = :
35 build_triplet = @build@
36 host_triplet = @host@
37 @OS_WIN32_TRUE@am__append_1 = \
38 @OS_WIN32_TRUE@ -no-undefined \
39 @OS_WIN32_TRUE@ -shrext ".pyd"
40
41 @ENABLE_CAIRO_TRUE@am__append_2 = _gi_cairo.la
42 subdir = gi
43 DIST_COMMON = $(pygi_PYTHON) $(srcdir)/Makefile.am \
44         $(srcdir)/Makefile.in
45 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
46 am__aclocal_m4_deps = $(top_srcdir)/m4/as-ac-expand.m4 \
47         $(top_srcdir)/m4/jhflags.m4 $(top_srcdir)/m4/libtool.m4 \
48         $(top_srcdir)/m4/ltoptions.m4 $(top_srcdir)/m4/ltsugar.m4 \
49         $(top_srcdir)/m4/ltversion.m4 $(top_srcdir)/m4/lt~obsolete.m4 \
50         $(top_srcdir)/m4/python.m4 $(top_srcdir)/configure.ac
51 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
52         $(ACLOCAL_M4)
53 mkinstalldirs = $(install_sh) -d
54 CONFIG_HEADER = $(top_builddir)/config.h
55 CONFIG_CLEAN_FILES =
56 CONFIG_CLEAN_VPATH_FILES =
57 am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
58 am__vpath_adj = case $$p in \
59     $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
60     *) f=$$p;; \
61   esac;
62 am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
63 am__install_max = 40
64 am__nobase_strip_setup = \
65   srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
66 am__nobase_strip = \
67   for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
68 am__nobase_list = $(am__nobase_strip_setup); \
69   for p in $$list; do echo "$$p $$p"; done | \
70   sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
71   $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
72     if (++n[$$2] == $(am__install_max)) \
73       { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
74     END { for (dir in files) print dir, files[dir] }'
75 am__base_list = \
76   sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
77   sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
78 am__uninstall_files_from_dir = { \
79   test -z "$$files" \
80     || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
81     || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
82          $(am__cd) "$$dir" && rm -f $$files; }; \
83   }
84 am__installdirs = "$(DESTDIR)$(pygidir)" "$(DESTDIR)$(pygidir)"
85 LTLIBRARIES = $(pygi_LTLIBRARIES)
86 am__DEPENDENCIES_1 =
87 @OS_WIN32_TRUE@am__DEPENDENCIES_2 = $(am__DEPENDENCIES_1)
88 _gi_la_DEPENDENCIES = $(am__DEPENDENCIES_2) $(am__DEPENDENCIES_1) \
89         $(top_builddir)/gi/_glib/libpyglib-gi-2.0-@PYTHON_BASENAME@.la
90 am__gi_la_OBJECTS = _gi_la-pygi-repository.lo _gi_la-pygi-info.lo \
91         _gi_la-pygi-foreign.lo _gi_la-pygi-foreign-gvariant.lo \
92         _gi_la-pygi-struct.lo _gi_la-pygi-argument.lo \
93         _gi_la-pygi-type.lo _gi_la-pygi-boxed.lo \
94         _gi_la-pygi-closure.lo _gi_la-pygi-ccallback.lo \
95         _gi_la-pygi-callbacks.lo _gi_la-pygi-property.lo \
96         _gi_la-pygi-signal-closure.lo _gi_la-gimodule.lo \
97         _gi_la-pygi-invoke.lo _gi_la-pygi-cache.lo \
98         _gi_la-pygi-marshal-from-py.lo _gi_la-pygi-marshal-to-py.lo \
99         _gi_la-pygi-marshal-cleanup.lo
100 _gi_la_OBJECTS = $(am__gi_la_OBJECTS)
101 AM_V_lt = $(am__v_lt_@AM_V@)
102 am__v_lt_ = $(am__v_lt_@AM_DEFAULT_V@)
103 am__v_lt_0 = --silent
104 _gi_la_LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
105         $(LIBTOOLFLAGS) --mode=link $(CCLD) $(_gi_la_CFLAGS) $(CFLAGS) \
106         $(_gi_la_LDFLAGS) $(LDFLAGS) -o $@
107 _gi_cairo_la_DEPENDENCIES = $(am__DEPENDENCIES_2) \
108         $(am__DEPENDENCIES_1) $(am__DEPENDENCIES_1)
109 am__gi_cairo_la_OBJECTS = _gi_cairo_la-pygi-foreign-cairo.lo
110 _gi_cairo_la_OBJECTS = $(am__gi_cairo_la_OBJECTS)
111 _gi_cairo_la_LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
112         $(LIBTOOLFLAGS) --mode=link $(CCLD) $(_gi_cairo_la_CFLAGS) \
113         $(CFLAGS) $(_gi_cairo_la_LDFLAGS) $(LDFLAGS) -o $@
114 @ENABLE_CAIRO_TRUE@am__gi_cairo_la_rpath = -rpath $(pygidir)
115 DEFAULT_INCLUDES = -I.@am__isrc@ -I$(top_builddir)
116 depcomp = $(SHELL) $(top_srcdir)/depcomp
117 am__depfiles_maybe = depfiles
118 am__mv = mv -f
119 COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
120         $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
121 LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
122         $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
123         $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
124         $(AM_CFLAGS) $(CFLAGS)
125 AM_V_CC = $(am__v_CC_@AM_V@)
126 am__v_CC_ = $(am__v_CC_@AM_DEFAULT_V@)
127 am__v_CC_0 = @echo "  CC    " $@;
128 AM_V_at = $(am__v_at_@AM_V@)
129 am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
130 am__v_at_0 = @
131 CCLD = $(CC)
132 LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
133         $(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
134         $(AM_LDFLAGS) $(LDFLAGS) -o $@
135 AM_V_CCLD = $(am__v_CCLD_@AM_V@)
136 am__v_CCLD_ = $(am__v_CCLD_@AM_DEFAULT_V@)
137 am__v_CCLD_0 = @echo "  CCLD  " $@;
138 AM_V_GEN = $(am__v_GEN_@AM_V@)
139 am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
140 am__v_GEN_0 = @echo "  GEN   " $@;
141 SOURCES = $(_gi_la_SOURCES) $(_gi_cairo_la_SOURCES)
142 DIST_SOURCES = $(_gi_la_SOURCES) $(_gi_cairo_la_SOURCES)
143 RECURSIVE_TARGETS = all-recursive check-recursive dvi-recursive \
144         html-recursive info-recursive install-data-recursive \
145         install-dvi-recursive install-exec-recursive \
146         install-html-recursive install-info-recursive \
147         install-pdf-recursive install-ps-recursive install-recursive \
148         installcheck-recursive installdirs-recursive pdf-recursive \
149         ps-recursive uninstall-recursive
150 am__py_compile = PYTHON=$(PYTHON) $(SHELL) $(py_compile)
151 py_compile = $(top_srcdir)/py-compile
152 RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive \
153   distclean-recursive maintainer-clean-recursive
154 AM_RECURSIVE_TARGETS = $(RECURSIVE_TARGETS:-recursive=) \
155         $(RECURSIVE_CLEAN_TARGETS:-recursive=) tags TAGS ctags CTAGS \
156         distdir
157 ETAGS = etags
158 CTAGS = ctags
159 DIST_SUBDIRS = $(SUBDIRS)
160 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
161 am__relativize = \
162   dir0=`pwd`; \
163   sed_first='s,^\([^/]*\)/.*$$,\1,'; \
164   sed_rest='s,^[^/]*/*,,'; \
165   sed_last='s,^.*/\([^/]*\)$$,\1,'; \
166   sed_butlast='s,/*[^/]*$$,,'; \
167   while test -n "$$dir1"; do \
168     first=`echo "$$dir1" | sed -e "$$sed_first"`; \
169     if test "$$first" != "."; then \
170       if test "$$first" = ".."; then \
171         dir2=`echo "$$dir0" | sed -e "$$sed_last"`/"$$dir2"; \
172         dir0=`echo "$$dir0" | sed -e "$$sed_butlast"`; \
173       else \
174         first2=`echo "$$dir2" | sed -e "$$sed_first"`; \
175         if test "$$first2" = "$$first"; then \
176           dir2=`echo "$$dir2" | sed -e "$$sed_rest"`; \
177         else \
178           dir2="../$$dir2"; \
179         fi; \
180         dir0="$$dir0"/"$$first"; \
181       fi; \
182     fi; \
183     dir1=`echo "$$dir1" | sed -e "$$sed_rest"`; \
184   done; \
185   reldir="$$dir2"
186 ACLOCAL = @ACLOCAL@
187 ACLOCAL_AMFLAGS = @ACLOCAL_AMFLAGS@
188 AMTAR = @AMTAR@
189 AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
190 AR = @AR@
191 AS = @AS@
192 AUTOCONF = @AUTOCONF@
193 AUTOHEADER = @AUTOHEADER@
194 AUTOMAKE = @AUTOMAKE@
195 AWK = @AWK@
196 CC = @CC@
197 CCDEPMODE = @CCDEPMODE@
198 CFLAGS = @CFLAGS@
199 CPP = @CPP@
200 CPPFLAGS = @CPPFLAGS@
201 CYGPATH_W = @CYGPATH_W@
202 DATADIR = @DATADIR@
203 DEFS = @DEFS@
204 DEPDIR = @DEPDIR@
205 DLLTOOL = @DLLTOOL@
206 DSYMUTIL = @DSYMUTIL@
207 DUMPBIN = @DUMPBIN@
208 ECHO_C = @ECHO_C@
209 ECHO_N = @ECHO_N@
210 ECHO_T = @ECHO_T@
211 EGREP = @EGREP@
212 EXEEXT = @EXEEXT@
213 FFI_CFLAGS = @FFI_CFLAGS@
214 FFI_LIBS = @FFI_LIBS@
215 FGREP = @FGREP@
216 GIO_CFLAGS = @GIO_CFLAGS@
217 GIO_LIBS = @GIO_LIBS@
218 GI_CFLAGS = @GI_CFLAGS@
219 GI_DATADIR = @GI_DATADIR@
220 GI_LIBS = @GI_LIBS@
221 GLIB_CFLAGS = @GLIB_CFLAGS@
222 GLIB_COMPILE_RESOURCES = @GLIB_COMPILE_RESOURCES@
223 GLIB_GENMARSHAL = @GLIB_GENMARSHAL@
224 GLIB_LIBS = @GLIB_LIBS@
225 GLIB_MKENUMS = @GLIB_MKENUMS@
226 GOBJECT_QUERY = @GOBJECT_QUERY@
227 GREP = @GREP@
228 INSTALL = @INSTALL@
229 INSTALL_DATA = @INSTALL_DATA@
230 INSTALL_PROGRAM = @INSTALL_PROGRAM@
231 INSTALL_SCRIPT = @INSTALL_SCRIPT@
232 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
233 INTROSPECTION_COMPILER = @INTROSPECTION_COMPILER@
234 INTROSPECTION_SCANNER = @INTROSPECTION_SCANNER@
235 LD = @LD@
236 LDFLAGS = @LDFLAGS@
237 LIBFFI_PC = @LIBFFI_PC@
238 LIBOBJS = @LIBOBJS@
239 LIBS = @LIBS@
240 LIBTOOL = @LIBTOOL@
241 LIPO = @LIPO@
242 LN_S = @LN_S@
243 LTLIBOBJS = @LTLIBOBJS@
244 MAINT = @MAINT@
245 MAKEINFO = @MAKEINFO@
246 MANIFEST_TOOL = @MANIFEST_TOOL@
247 MKDIR_P = @MKDIR_P@
248 NM = @NM@
249 NMEDIT = @NMEDIT@
250 OBJDUMP = @OBJDUMP@
251 OBJEXT = @OBJEXT@
252 OTOOL = @OTOOL@
253 OTOOL64 = @OTOOL64@
254 PACKAGE = @PACKAGE@
255 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
256 PACKAGE_NAME = @PACKAGE_NAME@
257 PACKAGE_STRING = @PACKAGE_STRING@
258 PACKAGE_TARNAME = @PACKAGE_TARNAME@
259 PACKAGE_URL = @PACKAGE_URL@
260 PACKAGE_VERSION = @PACKAGE_VERSION@
261 PATH_SEPARATOR = @PATH_SEPARATOR@
262 PKG_CONFIG = @PKG_CONFIG@
263 PKG_CONFIG_LIBDIR = @PKG_CONFIG_LIBDIR@
264 PKG_CONFIG_PATH = @PKG_CONFIG_PATH@
265 PLATFORM = @PLATFORM@
266 PYCAIRO_CFLAGS = @PYCAIRO_CFLAGS@
267 PYCAIRO_LIBS = @PYCAIRO_LIBS@
268 PYGOBJECT_MAJOR_VERSION = @PYGOBJECT_MAJOR_VERSION@
269 PYGOBJECT_MICRO_VERSION = @PYGOBJECT_MICRO_VERSION@
270 PYGOBJECT_MINOR_VERSION = @PYGOBJECT_MINOR_VERSION@
271 PYTHON = @PYTHON@
272 PYTHON_BASENAME = @PYTHON_BASENAME@
273 PYTHON_EXEC_PREFIX = @PYTHON_EXEC_PREFIX@
274 PYTHON_INCLUDES = @PYTHON_INCLUDES@
275 PYTHON_LIBS = @PYTHON_LIBS@
276 PYTHON_LIB_LOC = @PYTHON_LIB_LOC@
277 PYTHON_PLATFORM = @PYTHON_PLATFORM@
278 PYTHON_PREFIX = @PYTHON_PREFIX@
279 PYTHON_VERSION = @PYTHON_VERSION@
280 RANLIB = @RANLIB@
281 SED = @SED@
282 SET_MAKE = @SET_MAKE@
283 SHELL = @SHELL@
284 STRIP = @STRIP@
285 THREADING_CFLAGS = @THREADING_CFLAGS@
286 VERSION = @VERSION@
287 abs_builddir = @abs_builddir@
288 abs_srcdir = @abs_srcdir@
289 abs_top_builddir = @abs_top_builddir@
290 abs_top_srcdir = @abs_top_srcdir@
291 ac_ct_AR = @ac_ct_AR@
292 ac_ct_CC = @ac_ct_CC@
293 ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
294 am__include = @am__include@
295 am__leading_dot = @am__leading_dot@
296 am__quote = @am__quote@
297 am__tar = @am__tar@
298 am__untar = @am__untar@
299 bindir = @bindir@
300 build = @build@
301 build_alias = @build_alias@
302 build_cpu = @build_cpu@
303 build_os = @build_os@
304 build_vendor = @build_vendor@
305 builddir = @builddir@
306 datadir = @datadir@
307 datarootdir = @datarootdir@
308 docdir = @docdir@
309 dvidir = @dvidir@
310 exec_prefix = @exec_prefix@
311 host = @host@
312 host_alias = @host_alias@
313 host_cpu = @host_cpu@
314 host_os = @host_os@
315 host_vendor = @host_vendor@
316 htmldir = @htmldir@
317 includedir = @includedir@
318 infodir = @infodir@
319 install_sh = @install_sh@
320 libdir = @libdir@
321 libexecdir = @libexecdir@
322 localedir = @localedir@
323 localstatedir = @localstatedir@
324 mandir = @mandir@
325 mkdir_p = @mkdir_p@
326 oldincludedir = @oldincludedir@
327 pdfdir = @pdfdir@
328 pkgpyexecdir = @pkgpyexecdir@
329 pkgpythondir = @pkgpythondir@
330 prefix = @prefix@
331 program_transform_name = @program_transform_name@
332 psdir = @psdir@
333 pyexecdir = @pyexecdir@
334 pythondir = @pythondir@
335 sbindir = @sbindir@
336 sharedstatedir = @sharedstatedir@
337 srcdir = @srcdir@
338 sysconfdir = @sysconfdir@
339 target_alias = @target_alias@
340 top_build_prefix = @top_build_prefix@
341 top_builddir = @top_builddir@
342 top_srcdir = @top_srcdir@
343 SUBDIRS = \
344         repository \
345         overrides \
346         _glib \
347         _gobject
348
349 extension_cppflags = \
350         $(PYTHON_INCLUDES) \
351         -DPY_SSIZE_T_CLEAN
352
353 extension_ldflags = -module -avoid-version $(am__append_1)
354
355 # Windows requires Python modules to be explicitly linked to libpython.
356 # Extension modules are shared libaries (.dll), but need to be
357 # called .pyd for Python to load it as an extension module.
358 @OS_WIN32_TRUE@extension_libadd = \
359 @OS_WIN32_TRUE@ $(PYTHON_LIBS)
360
361 pygidir = $(pyexecdir)/gi
362 pygi_PYTHON = \
363         __init__.py \
364         types.py \
365         module.py \
366         importer.py \
367         pygtkcompat.py
368
369 pygi_LTLIBRARIES = _gi.la $(am__append_2)
370 _gi_la_SOURCES = \
371         pygi-repository.c \
372         pygi-repository.h \
373         pygi-info.c \
374         pygi-info.h \
375         pygi-foreign.c \
376         pygi-foreign.h \
377         pygi-foreign-gvariant.c \
378         pygi-foreign-gvariant.h \
379         pygi-struct.c \
380         pygi-struct.h \
381         pygi-argument.c \
382         pygi-argument.h \
383         pygi-type.c \
384         pygi-type.h \
385         pygi-boxed.c \
386         pygi-boxed.h \
387         pygi-closure.c \
388         pygi-closure.h \
389         pygi-ccallback.c \
390         pygi-ccallback.h \
391         pygi-callbacks.c \
392         pygi-callbacks.h \
393         pygi.h \
394         pygi-private.h \
395         pygi-property.c \
396         pygi-property.h \
397         pygi-signal-closure.c \
398         pygi-signal-closure.h \
399         pygobject-external.h \
400         gimodule.c \
401         pygi-invoke.c \
402         pygi-invoke.h \
403         pygi-invoke-state-struct.h \
404         pygi-cache.h \
405         pygi-cache.c \
406         pygi-marshal-from-py.c \
407         pygi-marshal-from-py.h \
408         pygi-marshal-to-py.c \
409         pygi-marshal-to-py.h \
410         pygi-marshal-cleanup.c \
411         pygi-marshal-cleanup.h
412
413 _gi_la_CFLAGS = \
414         $(GI_CFLAGS)
415
416 _gi_la_CPPFLAGS = \
417         $(extension_cppflags) \
418         -I$(top_srcdir)/gi/_glib \
419         -I$(top_srcdir)/gi/_gobject
420
421 _gi_la_LIBADD = \
422         $(extension_libadd) \
423         $(GI_LIBS) \
424         $(top_builddir)/gi/_glib/libpyglib-gi-2.0-@PYTHON_BASENAME@.la
425
426 _gi_la_LDFLAGS = \
427         $(extension_ldflags) \
428         -export-symbols-regex "init_gi|PyInit__gi"
429
430 _gi_cairo_la_SOURCES = \
431         pygi-foreign-cairo.c
432
433 _gi_cairo_la_CFLAGS = \
434         $(GI_CFLAGS) \
435         $(PYCAIRO_CFLAGS)
436
437 _gi_cairo_la_CPPFLAGS = \
438         $(extension_cppflags) \
439         -I$(top_srcdir)/gi/_glib \
440         -I$(top_srcdir)/gi/_gobject
441
442 _gi_cairo_la_LIBADD = \
443         $(extension_libadd) \
444         $(GI_LIBS) \
445         $(PYCAIRO_LIBS)
446
447 _gi_cairo_la_LDFLAGS = \
448         $(extension_ldflags) \
449         -export-symbols-regex "init_gi_cairo|PyInit__gi_cairo"
450
451 all: all-recursive
452
453 .SUFFIXES:
454 .SUFFIXES: .c .la .lo .o .obj .so
455 $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am  $(am__configure_deps)
456         @for dep in $?; do \
457           case '$(am__configure_deps)' in \
458             *$$dep*) \
459               ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
460                 && { if test -f $@; then exit 0; else break; fi; }; \
461               exit 1;; \
462           esac; \
463         done; \
464         echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign gi/Makefile'; \
465         $(am__cd) $(top_srcdir) && \
466           $(AUTOMAKE) --foreign gi/Makefile
467 .PRECIOUS: Makefile
468 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
469         @case '$?' in \
470           *config.status*) \
471             cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
472           *) \
473             echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
474             cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
475         esac;
476
477 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
478         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
479
480 $(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
481         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
482 $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
483         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
484 $(am__aclocal_m4_deps):
485 install-pygiLTLIBRARIES: $(pygi_LTLIBRARIES)
486         @$(NORMAL_INSTALL)
487         test -z "$(pygidir)" || $(MKDIR_P) "$(DESTDIR)$(pygidir)"
488         @list='$(pygi_LTLIBRARIES)'; test -n "$(pygidir)" || list=; \
489         list2=; for p in $$list; do \
490           if test -f $$p; then \
491             list2="$$list2 $$p"; \
492           else :; fi; \
493         done; \
494         test -z "$$list2" || { \
495           echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 '$(DESTDIR)$(pygidir)'"; \
496           $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 "$(DESTDIR)$(pygidir)"; \
497         }
498
499 uninstall-pygiLTLIBRARIES:
500         @$(NORMAL_UNINSTALL)
501         @list='$(pygi_LTLIBRARIES)'; test -n "$(pygidir)" || list=; \
502         for p in $$list; do \
503           $(am__strip_dir) \
504           echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f '$(DESTDIR)$(pygidir)/$$f'"; \
505           $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f "$(DESTDIR)$(pygidir)/$$f"; \
506         done
507
508 clean-pygiLTLIBRARIES:
509         -test -z "$(pygi_LTLIBRARIES)" || rm -f $(pygi_LTLIBRARIES)
510         @list='$(pygi_LTLIBRARIES)'; for p in $$list; do \
511           dir="`echo $$p | sed -e 's|/[^/]*$$||'`"; \
512           test "$$dir" != "$$p" || dir=.; \
513           echo "rm -f \"$${dir}/so_locations\""; \
514           rm -f "$${dir}/so_locations"; \
515         done
516 _gi.la: $(_gi_la_OBJECTS) $(_gi_la_DEPENDENCIES) $(EXTRA__gi_la_DEPENDENCIES) 
517         $(AM_V_CCLD)$(_gi_la_LINK) -rpath $(pygidir) $(_gi_la_OBJECTS) $(_gi_la_LIBADD) $(LIBS)
518 _gi_cairo.la: $(_gi_cairo_la_OBJECTS) $(_gi_cairo_la_DEPENDENCIES) $(EXTRA__gi_cairo_la_DEPENDENCIES) 
519         $(AM_V_CCLD)$(_gi_cairo_la_LINK) $(am__gi_cairo_la_rpath) $(_gi_cairo_la_OBJECTS) $(_gi_cairo_la_LIBADD) $(LIBS)
520
521 mostlyclean-compile:
522         -rm -f *.$(OBJEXT)
523
524 distclean-compile:
525         -rm -f *.tab.c
526
527 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/_gi_cairo_la-pygi-foreign-cairo.Plo@am__quote@
528 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/_gi_la-gimodule.Plo@am__quote@
529 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/_gi_la-pygi-argument.Plo@am__quote@
530 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/_gi_la-pygi-boxed.Plo@am__quote@
531 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/_gi_la-pygi-cache.Plo@am__quote@
532 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/_gi_la-pygi-callbacks.Plo@am__quote@
533 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/_gi_la-pygi-ccallback.Plo@am__quote@
534 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/_gi_la-pygi-closure.Plo@am__quote@
535 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/_gi_la-pygi-foreign-gvariant.Plo@am__quote@
536 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/_gi_la-pygi-foreign.Plo@am__quote@
537 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/_gi_la-pygi-info.Plo@am__quote@
538 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/_gi_la-pygi-invoke.Plo@am__quote@
539 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/_gi_la-pygi-marshal-cleanup.Plo@am__quote@
540 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/_gi_la-pygi-marshal-from-py.Plo@am__quote@
541 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/_gi_la-pygi-marshal-to-py.Plo@am__quote@
542 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/_gi_la-pygi-property.Plo@am__quote@
543 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/_gi_la-pygi-repository.Plo@am__quote@
544 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/_gi_la-pygi-signal-closure.Plo@am__quote@
545 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/_gi_la-pygi-struct.Plo@am__quote@
546 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/_gi_la-pygi-type.Plo@am__quote@
547
548 .c.o:
549 @am__fastdepCC_TRUE@    $(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
550 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
551 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
552 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
553 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(COMPILE) -c $<
554
555 .c.obj:
556 @am__fastdepCC_TRUE@    $(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
557 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
558 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
559 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
560 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(COMPILE) -c `$(CYGPATH_W) '$<'`
561
562 .c.lo:
563 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LTCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
564 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
565 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
566 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
567 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LTCOMPILE) -c -o $@ $<
568
569 _gi_la-pygi-repository.lo: pygi-repository.c
570 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(_gi_la_CPPFLAGS) $(CPPFLAGS) $(_gi_la_CFLAGS) $(CFLAGS) -MT _gi_la-pygi-repository.lo -MD -MP -MF $(DEPDIR)/_gi_la-pygi-repository.Tpo -c -o _gi_la-pygi-repository.lo `test -f 'pygi-repository.c' || echo '$(srcdir)/'`pygi-repository.c
571 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/_gi_la-pygi-repository.Tpo $(DEPDIR)/_gi_la-pygi-repository.Plo
572 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='pygi-repository.c' object='_gi_la-pygi-repository.lo' libtool=yes @AMDEPBACKSLASH@
573 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
574 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(_gi_la_CPPFLAGS) $(CPPFLAGS) $(_gi_la_CFLAGS) $(CFLAGS) -c -o _gi_la-pygi-repository.lo `test -f 'pygi-repository.c' || echo '$(srcdir)/'`pygi-repository.c
575
576 _gi_la-pygi-info.lo: pygi-info.c
577 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(_gi_la_CPPFLAGS) $(CPPFLAGS) $(_gi_la_CFLAGS) $(CFLAGS) -MT _gi_la-pygi-info.lo -MD -MP -MF $(DEPDIR)/_gi_la-pygi-info.Tpo -c -o _gi_la-pygi-info.lo `test -f 'pygi-info.c' || echo '$(srcdir)/'`pygi-info.c
578 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/_gi_la-pygi-info.Tpo $(DEPDIR)/_gi_la-pygi-info.Plo
579 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='pygi-info.c' object='_gi_la-pygi-info.lo' libtool=yes @AMDEPBACKSLASH@
580 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
581 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(_gi_la_CPPFLAGS) $(CPPFLAGS) $(_gi_la_CFLAGS) $(CFLAGS) -c -o _gi_la-pygi-info.lo `test -f 'pygi-info.c' || echo '$(srcdir)/'`pygi-info.c
582
583 _gi_la-pygi-foreign.lo: pygi-foreign.c
584 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(_gi_la_CPPFLAGS) $(CPPFLAGS) $(_gi_la_CFLAGS) $(CFLAGS) -MT _gi_la-pygi-foreign.lo -MD -MP -MF $(DEPDIR)/_gi_la-pygi-foreign.Tpo -c -o _gi_la-pygi-foreign.lo `test -f 'pygi-foreign.c' || echo '$(srcdir)/'`pygi-foreign.c
585 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/_gi_la-pygi-foreign.Tpo $(DEPDIR)/_gi_la-pygi-foreign.Plo
586 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='pygi-foreign.c' object='_gi_la-pygi-foreign.lo' libtool=yes @AMDEPBACKSLASH@
587 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
588 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(_gi_la_CPPFLAGS) $(CPPFLAGS) $(_gi_la_CFLAGS) $(CFLAGS) -c -o _gi_la-pygi-foreign.lo `test -f 'pygi-foreign.c' || echo '$(srcdir)/'`pygi-foreign.c
589
590 _gi_la-pygi-foreign-gvariant.lo: pygi-foreign-gvariant.c
591 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(_gi_la_CPPFLAGS) $(CPPFLAGS) $(_gi_la_CFLAGS) $(CFLAGS) -MT _gi_la-pygi-foreign-gvariant.lo -MD -MP -MF $(DEPDIR)/_gi_la-pygi-foreign-gvariant.Tpo -c -o _gi_la-pygi-foreign-gvariant.lo `test -f 'pygi-foreign-gvariant.c' || echo '$(srcdir)/'`pygi-foreign-gvariant.c
592 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/_gi_la-pygi-foreign-gvariant.Tpo $(DEPDIR)/_gi_la-pygi-foreign-gvariant.Plo
593 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='pygi-foreign-gvariant.c' object='_gi_la-pygi-foreign-gvariant.lo' libtool=yes @AMDEPBACKSLASH@
594 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
595 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(_gi_la_CPPFLAGS) $(CPPFLAGS) $(_gi_la_CFLAGS) $(CFLAGS) -c -o _gi_la-pygi-foreign-gvariant.lo `test -f 'pygi-foreign-gvariant.c' || echo '$(srcdir)/'`pygi-foreign-gvariant.c
596
597 _gi_la-pygi-struct.lo: pygi-struct.c
598 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(_gi_la_CPPFLAGS) $(CPPFLAGS) $(_gi_la_CFLAGS) $(CFLAGS) -MT _gi_la-pygi-struct.lo -MD -MP -MF $(DEPDIR)/_gi_la-pygi-struct.Tpo -c -o _gi_la-pygi-struct.lo `test -f 'pygi-struct.c' || echo '$(srcdir)/'`pygi-struct.c
599 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/_gi_la-pygi-struct.Tpo $(DEPDIR)/_gi_la-pygi-struct.Plo
600 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='pygi-struct.c' object='_gi_la-pygi-struct.lo' libtool=yes @AMDEPBACKSLASH@
601 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
602 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(_gi_la_CPPFLAGS) $(CPPFLAGS) $(_gi_la_CFLAGS) $(CFLAGS) -c -o _gi_la-pygi-struct.lo `test -f 'pygi-struct.c' || echo '$(srcdir)/'`pygi-struct.c
603
604 _gi_la-pygi-argument.lo: pygi-argument.c
605 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(_gi_la_CPPFLAGS) $(CPPFLAGS) $(_gi_la_CFLAGS) $(CFLAGS) -MT _gi_la-pygi-argument.lo -MD -MP -MF $(DEPDIR)/_gi_la-pygi-argument.Tpo -c -o _gi_la-pygi-argument.lo `test -f 'pygi-argument.c' || echo '$(srcdir)/'`pygi-argument.c
606 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/_gi_la-pygi-argument.Tpo $(DEPDIR)/_gi_la-pygi-argument.Plo
607 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='pygi-argument.c' object='_gi_la-pygi-argument.lo' libtool=yes @AMDEPBACKSLASH@
608 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
609 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(_gi_la_CPPFLAGS) $(CPPFLAGS) $(_gi_la_CFLAGS) $(CFLAGS) -c -o _gi_la-pygi-argument.lo `test -f 'pygi-argument.c' || echo '$(srcdir)/'`pygi-argument.c
610
611 _gi_la-pygi-type.lo: pygi-type.c
612 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(_gi_la_CPPFLAGS) $(CPPFLAGS) $(_gi_la_CFLAGS) $(CFLAGS) -MT _gi_la-pygi-type.lo -MD -MP -MF $(DEPDIR)/_gi_la-pygi-type.Tpo -c -o _gi_la-pygi-type.lo `test -f 'pygi-type.c' || echo '$(srcdir)/'`pygi-type.c
613 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/_gi_la-pygi-type.Tpo $(DEPDIR)/_gi_la-pygi-type.Plo
614 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='pygi-type.c' object='_gi_la-pygi-type.lo' libtool=yes @AMDEPBACKSLASH@
615 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
616 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(_gi_la_CPPFLAGS) $(CPPFLAGS) $(_gi_la_CFLAGS) $(CFLAGS) -c -o _gi_la-pygi-type.lo `test -f 'pygi-type.c' || echo '$(srcdir)/'`pygi-type.c
617
618 _gi_la-pygi-boxed.lo: pygi-boxed.c
619 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(_gi_la_CPPFLAGS) $(CPPFLAGS) $(_gi_la_CFLAGS) $(CFLAGS) -MT _gi_la-pygi-boxed.lo -MD -MP -MF $(DEPDIR)/_gi_la-pygi-boxed.Tpo -c -o _gi_la-pygi-boxed.lo `test -f 'pygi-boxed.c' || echo '$(srcdir)/'`pygi-boxed.c
620 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/_gi_la-pygi-boxed.Tpo $(DEPDIR)/_gi_la-pygi-boxed.Plo
621 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='pygi-boxed.c' object='_gi_la-pygi-boxed.lo' libtool=yes @AMDEPBACKSLASH@
622 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
623 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(_gi_la_CPPFLAGS) $(CPPFLAGS) $(_gi_la_CFLAGS) $(CFLAGS) -c -o _gi_la-pygi-boxed.lo `test -f 'pygi-boxed.c' || echo '$(srcdir)/'`pygi-boxed.c
624
625 _gi_la-pygi-closure.lo: pygi-closure.c
626 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(_gi_la_CPPFLAGS) $(CPPFLAGS) $(_gi_la_CFLAGS) $(CFLAGS) -MT _gi_la-pygi-closure.lo -MD -MP -MF $(DEPDIR)/_gi_la-pygi-closure.Tpo -c -o _gi_la-pygi-closure.lo `test -f 'pygi-closure.c' || echo '$(srcdir)/'`pygi-closure.c
627 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/_gi_la-pygi-closure.Tpo $(DEPDIR)/_gi_la-pygi-closure.Plo
628 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='pygi-closure.c' object='_gi_la-pygi-closure.lo' libtool=yes @AMDEPBACKSLASH@
629 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
630 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(_gi_la_CPPFLAGS) $(CPPFLAGS) $(_gi_la_CFLAGS) $(CFLAGS) -c -o _gi_la-pygi-closure.lo `test -f 'pygi-closure.c' || echo '$(srcdir)/'`pygi-closure.c
631
632 _gi_la-pygi-ccallback.lo: pygi-ccallback.c
633 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(_gi_la_CPPFLAGS) $(CPPFLAGS) $(_gi_la_CFLAGS) $(CFLAGS) -MT _gi_la-pygi-ccallback.lo -MD -MP -MF $(DEPDIR)/_gi_la-pygi-ccallback.Tpo -c -o _gi_la-pygi-ccallback.lo `test -f 'pygi-ccallback.c' || echo '$(srcdir)/'`pygi-ccallback.c
634 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/_gi_la-pygi-ccallback.Tpo $(DEPDIR)/_gi_la-pygi-ccallback.Plo
635 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='pygi-ccallback.c' object='_gi_la-pygi-ccallback.lo' libtool=yes @AMDEPBACKSLASH@
636 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
637 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(_gi_la_CPPFLAGS) $(CPPFLAGS) $(_gi_la_CFLAGS) $(CFLAGS) -c -o _gi_la-pygi-ccallback.lo `test -f 'pygi-ccallback.c' || echo '$(srcdir)/'`pygi-ccallback.c
638
639 _gi_la-pygi-callbacks.lo: pygi-callbacks.c
640 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(_gi_la_CPPFLAGS) $(CPPFLAGS) $(_gi_la_CFLAGS) $(CFLAGS) -MT _gi_la-pygi-callbacks.lo -MD -MP -MF $(DEPDIR)/_gi_la-pygi-callbacks.Tpo -c -o _gi_la-pygi-callbacks.lo `test -f 'pygi-callbacks.c' || echo '$(srcdir)/'`pygi-callbacks.c
641 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/_gi_la-pygi-callbacks.Tpo $(DEPDIR)/_gi_la-pygi-callbacks.Plo
642 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='pygi-callbacks.c' object='_gi_la-pygi-callbacks.lo' libtool=yes @AMDEPBACKSLASH@
643 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
644 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(_gi_la_CPPFLAGS) $(CPPFLAGS) $(_gi_la_CFLAGS) $(CFLAGS) -c -o _gi_la-pygi-callbacks.lo `test -f 'pygi-callbacks.c' || echo '$(srcdir)/'`pygi-callbacks.c
645
646 _gi_la-pygi-property.lo: pygi-property.c
647 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(_gi_la_CPPFLAGS) $(CPPFLAGS) $(_gi_la_CFLAGS) $(CFLAGS) -MT _gi_la-pygi-property.lo -MD -MP -MF $(DEPDIR)/_gi_la-pygi-property.Tpo -c -o _gi_la-pygi-property.lo `test -f 'pygi-property.c' || echo '$(srcdir)/'`pygi-property.c
648 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/_gi_la-pygi-property.Tpo $(DEPDIR)/_gi_la-pygi-property.Plo
649 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='pygi-property.c' object='_gi_la-pygi-property.lo' libtool=yes @AMDEPBACKSLASH@
650 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
651 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(_gi_la_CPPFLAGS) $(CPPFLAGS) $(_gi_la_CFLAGS) $(CFLAGS) -c -o _gi_la-pygi-property.lo `test -f 'pygi-property.c' || echo '$(srcdir)/'`pygi-property.c
652
653 _gi_la-pygi-signal-closure.lo: pygi-signal-closure.c
654 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(_gi_la_CPPFLAGS) $(CPPFLAGS) $(_gi_la_CFLAGS) $(CFLAGS) -MT _gi_la-pygi-signal-closure.lo -MD -MP -MF $(DEPDIR)/_gi_la-pygi-signal-closure.Tpo -c -o _gi_la-pygi-signal-closure.lo `test -f 'pygi-signal-closure.c' || echo '$(srcdir)/'`pygi-signal-closure.c
655 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/_gi_la-pygi-signal-closure.Tpo $(DEPDIR)/_gi_la-pygi-signal-closure.Plo
656 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='pygi-signal-closure.c' object='_gi_la-pygi-signal-closure.lo' libtool=yes @AMDEPBACKSLASH@
657 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
658 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(_gi_la_CPPFLAGS) $(CPPFLAGS) $(_gi_la_CFLAGS) $(CFLAGS) -c -o _gi_la-pygi-signal-closure.lo `test -f 'pygi-signal-closure.c' || echo '$(srcdir)/'`pygi-signal-closure.c
659
660 _gi_la-gimodule.lo: gimodule.c
661 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(_gi_la_CPPFLAGS) $(CPPFLAGS) $(_gi_la_CFLAGS) $(CFLAGS) -MT _gi_la-gimodule.lo -MD -MP -MF $(DEPDIR)/_gi_la-gimodule.Tpo -c -o _gi_la-gimodule.lo `test -f 'gimodule.c' || echo '$(srcdir)/'`gimodule.c
662 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/_gi_la-gimodule.Tpo $(DEPDIR)/_gi_la-gimodule.Plo
663 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='gimodule.c' object='_gi_la-gimodule.lo' libtool=yes @AMDEPBACKSLASH@
664 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
665 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(_gi_la_CPPFLAGS) $(CPPFLAGS) $(_gi_la_CFLAGS) $(CFLAGS) -c -o _gi_la-gimodule.lo `test -f 'gimodule.c' || echo '$(srcdir)/'`gimodule.c
666
667 _gi_la-pygi-invoke.lo: pygi-invoke.c
668 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(_gi_la_CPPFLAGS) $(CPPFLAGS) $(_gi_la_CFLAGS) $(CFLAGS) -MT _gi_la-pygi-invoke.lo -MD -MP -MF $(DEPDIR)/_gi_la-pygi-invoke.Tpo -c -o _gi_la-pygi-invoke.lo `test -f 'pygi-invoke.c' || echo '$(srcdir)/'`pygi-invoke.c
669 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/_gi_la-pygi-invoke.Tpo $(DEPDIR)/_gi_la-pygi-invoke.Plo
670 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='pygi-invoke.c' object='_gi_la-pygi-invoke.lo' libtool=yes @AMDEPBACKSLASH@
671 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
672 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(_gi_la_CPPFLAGS) $(CPPFLAGS) $(_gi_la_CFLAGS) $(CFLAGS) -c -o _gi_la-pygi-invoke.lo `test -f 'pygi-invoke.c' || echo '$(srcdir)/'`pygi-invoke.c
673
674 _gi_la-pygi-cache.lo: pygi-cache.c
675 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(_gi_la_CPPFLAGS) $(CPPFLAGS) $(_gi_la_CFLAGS) $(CFLAGS) -MT _gi_la-pygi-cache.lo -MD -MP -MF $(DEPDIR)/_gi_la-pygi-cache.Tpo -c -o _gi_la-pygi-cache.lo `test -f 'pygi-cache.c' || echo '$(srcdir)/'`pygi-cache.c
676 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/_gi_la-pygi-cache.Tpo $(DEPDIR)/_gi_la-pygi-cache.Plo
677 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='pygi-cache.c' object='_gi_la-pygi-cache.lo' libtool=yes @AMDEPBACKSLASH@
678 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
679 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(_gi_la_CPPFLAGS) $(CPPFLAGS) $(_gi_la_CFLAGS) $(CFLAGS) -c -o _gi_la-pygi-cache.lo `test -f 'pygi-cache.c' || echo '$(srcdir)/'`pygi-cache.c
680
681 _gi_la-pygi-marshal-from-py.lo: pygi-marshal-from-py.c
682 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(_gi_la_CPPFLAGS) $(CPPFLAGS) $(_gi_la_CFLAGS) $(CFLAGS) -MT _gi_la-pygi-marshal-from-py.lo -MD -MP -MF $(DEPDIR)/_gi_la-pygi-marshal-from-py.Tpo -c -o _gi_la-pygi-marshal-from-py.lo `test -f 'pygi-marshal-from-py.c' || echo '$(srcdir)/'`pygi-marshal-from-py.c
683 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/_gi_la-pygi-marshal-from-py.Tpo $(DEPDIR)/_gi_la-pygi-marshal-from-py.Plo
684 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='pygi-marshal-from-py.c' object='_gi_la-pygi-marshal-from-py.lo' libtool=yes @AMDEPBACKSLASH@
685 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
686 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(_gi_la_CPPFLAGS) $(CPPFLAGS) $(_gi_la_CFLAGS) $(CFLAGS) -c -o _gi_la-pygi-marshal-from-py.lo `test -f 'pygi-marshal-from-py.c' || echo '$(srcdir)/'`pygi-marshal-from-py.c
687
688 _gi_la-pygi-marshal-to-py.lo: pygi-marshal-to-py.c
689 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(_gi_la_CPPFLAGS) $(CPPFLAGS) $(_gi_la_CFLAGS) $(CFLAGS) -MT _gi_la-pygi-marshal-to-py.lo -MD -MP -MF $(DEPDIR)/_gi_la-pygi-marshal-to-py.Tpo -c -o _gi_la-pygi-marshal-to-py.lo `test -f 'pygi-marshal-to-py.c' || echo '$(srcdir)/'`pygi-marshal-to-py.c
690 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/_gi_la-pygi-marshal-to-py.Tpo $(DEPDIR)/_gi_la-pygi-marshal-to-py.Plo
691 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='pygi-marshal-to-py.c' object='_gi_la-pygi-marshal-to-py.lo' libtool=yes @AMDEPBACKSLASH@
692 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
693 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(_gi_la_CPPFLAGS) $(CPPFLAGS) $(_gi_la_CFLAGS) $(CFLAGS) -c -o _gi_la-pygi-marshal-to-py.lo `test -f 'pygi-marshal-to-py.c' || echo '$(srcdir)/'`pygi-marshal-to-py.c
694
695 _gi_la-pygi-marshal-cleanup.lo: pygi-marshal-cleanup.c
696 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(_gi_la_CPPFLAGS) $(CPPFLAGS) $(_gi_la_CFLAGS) $(CFLAGS) -MT _gi_la-pygi-marshal-cleanup.lo -MD -MP -MF $(DEPDIR)/_gi_la-pygi-marshal-cleanup.Tpo -c -o _gi_la-pygi-marshal-cleanup.lo `test -f 'pygi-marshal-cleanup.c' || echo '$(srcdir)/'`pygi-marshal-cleanup.c
697 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/_gi_la-pygi-marshal-cleanup.Tpo $(DEPDIR)/_gi_la-pygi-marshal-cleanup.Plo
698 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='pygi-marshal-cleanup.c' object='_gi_la-pygi-marshal-cleanup.lo' libtool=yes @AMDEPBACKSLASH@
699 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
700 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(_gi_la_CPPFLAGS) $(CPPFLAGS) $(_gi_la_CFLAGS) $(CFLAGS) -c -o _gi_la-pygi-marshal-cleanup.lo `test -f 'pygi-marshal-cleanup.c' || echo '$(srcdir)/'`pygi-marshal-cleanup.c
701
702 _gi_cairo_la-pygi-foreign-cairo.lo: pygi-foreign-cairo.c
703 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(_gi_cairo_la_CPPFLAGS) $(CPPFLAGS) $(_gi_cairo_la_CFLAGS) $(CFLAGS) -MT _gi_cairo_la-pygi-foreign-cairo.lo -MD -MP -MF $(DEPDIR)/_gi_cairo_la-pygi-foreign-cairo.Tpo -c -o _gi_cairo_la-pygi-foreign-cairo.lo `test -f 'pygi-foreign-cairo.c' || echo '$(srcdir)/'`pygi-foreign-cairo.c
704 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/_gi_cairo_la-pygi-foreign-cairo.Tpo $(DEPDIR)/_gi_cairo_la-pygi-foreign-cairo.Plo
705 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='pygi-foreign-cairo.c' object='_gi_cairo_la-pygi-foreign-cairo.lo' libtool=yes @AMDEPBACKSLASH@
706 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
707 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(_gi_cairo_la_CPPFLAGS) $(CPPFLAGS) $(_gi_cairo_la_CFLAGS) $(CFLAGS) -c -o _gi_cairo_la-pygi-foreign-cairo.lo `test -f 'pygi-foreign-cairo.c' || echo '$(srcdir)/'`pygi-foreign-cairo.c
708
709 mostlyclean-libtool:
710         -rm -f *.lo
711
712 clean-libtool:
713         -rm -rf .libs _libs
714 install-pygiPYTHON: $(pygi_PYTHON)
715         @$(NORMAL_INSTALL)
716         test -z "$(pygidir)" || $(MKDIR_P) "$(DESTDIR)$(pygidir)"
717         @list='$(pygi_PYTHON)'; dlist=; list2=; test -n "$(pygidir)" || list=; \
718         for p in $$list; do \
719           if test -f "$$p"; then b=; else b="$(srcdir)/"; fi; \
720           if test -f $$b$$p; then \
721             $(am__strip_dir) \
722             dlist="$$dlist $$f"; \
723             list2="$$list2 $$b$$p"; \
724           else :; fi; \
725         done; \
726         for file in $$list2; do echo $$file; done | $(am__base_list) | \
727         while read files; do \
728           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(pygidir)'"; \
729           $(INSTALL_DATA) $$files "$(DESTDIR)$(pygidir)" || exit $$?; \
730         done || exit $$?; \
731         if test -n "$$dlist"; then \
732           $(am__py_compile) --destdir "$(DESTDIR)" \
733                             --basedir "$(pygidir)" $$dlist; \
734         else :; fi
735
736 uninstall-pygiPYTHON:
737         @$(NORMAL_UNINSTALL)
738         @list='$(pygi_PYTHON)'; test -n "$(pygidir)" || list=; \
739         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
740         test -n "$$files" || exit 0; \
741         dir='$(DESTDIR)$(pygidir)'; \
742         filesc=`echo "$$files" | sed 's|$$|c|'`; \
743         fileso=`echo "$$files" | sed 's|$$|o|'`; \
744         st=0; \
745         for files in "$$files" "$$filesc" "$$fileso"; do \
746           $(am__uninstall_files_from_dir) || st=$$?; \
747         done; \
748         exit $$st
749
750 # This directory's subdirectories are mostly independent; you can cd
751 # into them and run `make' without going through this Makefile.
752 # To change the values of `make' variables: instead of editing Makefiles,
753 # (1) if the variable is set in `config.status', edit `config.status'
754 #     (which will cause the Makefiles to be regenerated when you run `make');
755 # (2) otherwise, pass the desired values on the `make' command line.
756 $(RECURSIVE_TARGETS):
757         @fail= failcom='exit 1'; \
758         for f in x $$MAKEFLAGS; do \
759           case $$f in \
760             *=* | --[!k]*);; \
761             *k*) failcom='fail=yes';; \
762           esac; \
763         done; \
764         dot_seen=no; \
765         target=`echo $@ | sed s/-recursive//`; \
766         list='$(SUBDIRS)'; for subdir in $$list; do \
767           echo "Making $$target in $$subdir"; \
768           if test "$$subdir" = "."; then \
769             dot_seen=yes; \
770             local_target="$$target-am"; \
771           else \
772             local_target="$$target"; \
773           fi; \
774           ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
775           || eval $$failcom; \
776         done; \
777         if test "$$dot_seen" = "no"; then \
778           $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
779         fi; test -z "$$fail"
780
781 $(RECURSIVE_CLEAN_TARGETS):
782         @fail= failcom='exit 1'; \
783         for f in x $$MAKEFLAGS; do \
784           case $$f in \
785             *=* | --[!k]*);; \
786             *k*) failcom='fail=yes';; \
787           esac; \
788         done; \
789         dot_seen=no; \
790         case "$@" in \
791           distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
792           *) list='$(SUBDIRS)' ;; \
793         esac; \
794         rev=''; for subdir in $$list; do \
795           if test "$$subdir" = "."; then :; else \
796             rev="$$subdir $$rev"; \
797           fi; \
798         done; \
799         rev="$$rev ."; \
800         target=`echo $@ | sed s/-recursive//`; \
801         for subdir in $$rev; do \
802           echo "Making $$target in $$subdir"; \
803           if test "$$subdir" = "."; then \
804             local_target="$$target-am"; \
805           else \
806             local_target="$$target"; \
807           fi; \
808           ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
809           || eval $$failcom; \
810         done && test -z "$$fail"
811 tags-recursive:
812         list='$(SUBDIRS)'; for subdir in $$list; do \
813           test "$$subdir" = . || ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) tags); \
814         done
815 ctags-recursive:
816         list='$(SUBDIRS)'; for subdir in $$list; do \
817           test "$$subdir" = . || ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) ctags); \
818         done
819
820 ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
821         list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
822         unique=`for i in $$list; do \
823             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
824           done | \
825           $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
826               END { if (nonempty) { for (i in files) print i; }; }'`; \
827         mkid -fID $$unique
828 tags: TAGS
829
830 TAGS: tags-recursive $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
831                 $(TAGS_FILES) $(LISP)
832         set x; \
833         here=`pwd`; \
834         if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
835           include_option=--etags-include; \
836           empty_fix=.; \
837         else \
838           include_option=--include; \
839           empty_fix=; \
840         fi; \
841         list='$(SUBDIRS)'; for subdir in $$list; do \
842           if test "$$subdir" = .; then :; else \
843             test ! -f $$subdir/TAGS || \
844               set "$$@" "$$include_option=$$here/$$subdir/TAGS"; \
845           fi; \
846         done; \
847         list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
848         unique=`for i in $$list; do \
849             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
850           done | \
851           $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
852               END { if (nonempty) { for (i in files) print i; }; }'`; \
853         shift; \
854         if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
855           test -n "$$unique" || unique=$$empty_fix; \
856           if test $$# -gt 0; then \
857             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
858               "$$@" $$unique; \
859           else \
860             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
861               $$unique; \
862           fi; \
863         fi
864 ctags: CTAGS
865 CTAGS: ctags-recursive $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
866                 $(TAGS_FILES) $(LISP)
867         list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
868         unique=`for i in $$list; do \
869             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
870           done | \
871           $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
872               END { if (nonempty) { for (i in files) print i; }; }'`; \
873         test -z "$(CTAGS_ARGS)$$unique" \
874           || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
875              $$unique
876
877 GTAGS:
878         here=`$(am__cd) $(top_builddir) && pwd` \
879           && $(am__cd) $(top_srcdir) \
880           && gtags -i $(GTAGS_ARGS) "$$here"
881
882 distclean-tags:
883         -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
884
885 distdir: $(DISTFILES)
886         @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
887         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
888         list='$(DISTFILES)'; \
889           dist_files=`for file in $$list; do echo $$file; done | \
890           sed -e "s|^$$srcdirstrip/||;t" \
891               -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
892         case $$dist_files in \
893           */*) $(MKDIR_P) `echo "$$dist_files" | \
894                            sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
895                            sort -u` ;; \
896         esac; \
897         for file in $$dist_files; do \
898           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
899           if test -d $$d/$$file; then \
900             dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
901             if test -d "$(distdir)/$$file"; then \
902               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
903             fi; \
904             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
905               cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
906               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
907             fi; \
908             cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
909           else \
910             test -f "$(distdir)/$$file" \
911             || cp -p $$d/$$file "$(distdir)/$$file" \
912             || exit 1; \
913           fi; \
914         done
915         @list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
916           if test "$$subdir" = .; then :; else \
917             test -d "$(distdir)/$$subdir" \
918             || $(MKDIR_P) "$(distdir)/$$subdir" \
919             || exit 1; \
920           fi; \
921         done
922         @list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
923           if test "$$subdir" = .; then :; else \
924             dir1=$$subdir; dir2="$(distdir)/$$subdir"; \
925             $(am__relativize); \
926             new_distdir=$$reldir; \
927             dir1=$$subdir; dir2="$(top_distdir)"; \
928             $(am__relativize); \
929             new_top_distdir=$$reldir; \
930             echo " (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) top_distdir="$$new_top_distdir" distdir="$$new_distdir" \\"; \
931             echo "     am__remove_distdir=: am__skip_length_check=: am__skip_mode_fix=: distdir)"; \
932             ($(am__cd) $$subdir && \
933               $(MAKE) $(AM_MAKEFLAGS) \
934                 top_distdir="$$new_top_distdir" \
935                 distdir="$$new_distdir" \
936                 am__remove_distdir=: \
937                 am__skip_length_check=: \
938                 am__skip_mode_fix=: \
939                 distdir) \
940               || exit 1; \
941           fi; \
942         done
943 check-am: all-am
944         $(MAKE) $(AM_MAKEFLAGS) check-local
945 check: check-recursive
946 all-am: Makefile $(LTLIBRARIES) all-local
947 installdirs: installdirs-recursive
948 installdirs-am:
949         for dir in "$(DESTDIR)$(pygidir)" "$(DESTDIR)$(pygidir)"; do \
950           test -z "$$dir" || $(MKDIR_P) "$$dir"; \
951         done
952 install: install-recursive
953 install-exec: install-exec-recursive
954 install-data: install-data-recursive
955 uninstall: uninstall-recursive
956
957 install-am: all-am
958         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
959
960 installcheck: installcheck-recursive
961 install-strip:
962         if test -z '$(STRIP)'; then \
963           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
964             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
965               install; \
966         else \
967           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
968             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
969             "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
970         fi
971 mostlyclean-generic:
972
973 clean-generic:
974
975 distclean-generic:
976         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
977         -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
978
979 maintainer-clean-generic:
980         @echo "This command is intended for maintainers to use"
981         @echo "it deletes files that may require special tools to rebuild."
982 clean: clean-recursive
983
984 clean-am: clean-generic clean-libtool clean-local \
985         clean-pygiLTLIBRARIES mostlyclean-am
986
987 distclean: distclean-recursive
988         -rm -rf ./$(DEPDIR)
989         -rm -f Makefile
990 distclean-am: clean-am distclean-compile distclean-generic \
991         distclean-tags
992
993 dvi: dvi-recursive
994
995 dvi-am:
996
997 html: html-recursive
998
999 html-am:
1000
1001 info: info-recursive
1002
1003 info-am:
1004
1005 install-data-am: install-pygiLTLIBRARIES install-pygiPYTHON
1006
1007 install-dvi: install-dvi-recursive
1008
1009 install-dvi-am:
1010
1011 install-exec-am:
1012
1013 install-html: install-html-recursive
1014
1015 install-html-am:
1016
1017 install-info: install-info-recursive
1018
1019 install-info-am:
1020
1021 install-man:
1022
1023 install-pdf: install-pdf-recursive
1024
1025 install-pdf-am:
1026
1027 install-ps: install-ps-recursive
1028
1029 install-ps-am:
1030
1031 installcheck-am:
1032
1033 maintainer-clean: maintainer-clean-recursive
1034         -rm -rf ./$(DEPDIR)
1035         -rm -f Makefile
1036 maintainer-clean-am: distclean-am maintainer-clean-generic
1037
1038 mostlyclean: mostlyclean-recursive
1039
1040 mostlyclean-am: mostlyclean-compile mostlyclean-generic \
1041         mostlyclean-libtool
1042
1043 pdf: pdf-recursive
1044
1045 pdf-am:
1046
1047 ps: ps-recursive
1048
1049 ps-am:
1050
1051 uninstall-am: uninstall-pygiLTLIBRARIES uninstall-pygiPYTHON
1052
1053 .MAKE: $(RECURSIVE_CLEAN_TARGETS) $(RECURSIVE_TARGETS) check-am \
1054         ctags-recursive install-am install-strip tags-recursive
1055
1056 .PHONY: $(RECURSIVE_CLEAN_TARGETS) $(RECURSIVE_TARGETS) CTAGS GTAGS \
1057         all all-am all-local check check-am check-local clean \
1058         clean-generic clean-libtool clean-local clean-pygiLTLIBRARIES \
1059         ctags ctags-recursive distclean distclean-compile \
1060         distclean-generic distclean-libtool distclean-tags distdir dvi \
1061         dvi-am html html-am info info-am install install-am \
1062         install-data install-data-am install-dvi install-dvi-am \
1063         install-exec install-exec-am install-html install-html-am \
1064         install-info install-info-am install-man install-pdf \
1065         install-pdf-am install-ps install-ps-am \
1066         install-pygiLTLIBRARIES install-pygiPYTHON install-strip \
1067         installcheck installcheck-am installdirs installdirs-am \
1068         maintainer-clean maintainer-clean-generic mostlyclean \
1069         mostlyclean-compile mostlyclean-generic mostlyclean-libtool \
1070         pdf pdf-am ps ps-am tags tags-recursive uninstall uninstall-am \
1071         uninstall-pygiLTLIBRARIES uninstall-pygiPYTHON
1072
1073
1074 # This is to ensure we have a symlink to the .so in the
1075 # build directory, which the Python interpreter can load
1076 # directly without having to know how to parse .la files.
1077 .la.so:
1078         $(LN_S) .libs/$@ $@ || true
1079
1080 # if we build in a separate tree, we need to symlink the *.py files from the
1081 # source tree; Python does not accept the extensions and modules in different
1082 # paths
1083 build_pylinks:
1084         for f in $(pygi_PYTHON); do \
1085             [ -e $(builddir)/$$f ] || $(LN_S) $(srcdir)/$$f $(builddir)/$$f; \
1086         done
1087
1088 all-local: $(LTLIBRARIES:.la=.so) build_pylinks
1089
1090 check-local: $(LTLIBRARIES:.la=.so) build_pylinks
1091 clean-local:
1092         rm -f $(LTLIBRARIES:.la=.so)
1093
1094 -include $(top_srcdir)/git.mk
1095
1096 # Tell versions [3.59,3.63) of GNU make to not export all variables.
1097 # Otherwise a system limit (for SysV at least) may be exceeded.
1098 .NOEXPORT: